class ResizeValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    if record.picture and record.picture.flag_resize < 0
      record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.resize')) unless value == record.picture[attribute]
    end
  end
end

